> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runpod.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a network volume

> Update a network volume - synonym for PATCH /networkvolumes/{networkVolumeId}.



## OpenAPI

````yaml POST /networkvolumes/{networkVolumeId}/update
openapi: 3.0.3
info:
  title: Runpod API
  description: Public Rest API for managing Runpod programmatically.
  version: 0.1.0
  contact:
    name: help
    url: https://contact.runpod.io/hc/requests/new
    email: help@runpod.io
servers:
  - url: https://rest.runpod.io/v1
security:
  - ApiKey: []
tags:
  - name: docs
    description: This documentation page.
  - name: pods
    description: Manage Pods.
  - name: endpoints
    description: Manage Serverless endpoints.
  - name: network volumes
    description: Manage Runpod network volumes.
  - name: templates
    description: Manage Pod and Serverless templates.
  - name: container registry auths
    description: >-
      Manage authentication for container registries such as dockerhub to use
      private images.
  - name: billing
    description: Retrieve billing history for your Runpod account.
externalDocs:
  description: Find out more about Runpod.
  url: https://runpod.io
paths:
  /networkvolumes/{networkVolumeId}/update:
    post:
      tags:
        - network volumes
      summary: Update a network volume
      description: >-
        Update a network volume - synonym for PATCH
        /networkvolumes/{networkVolumeId}.
      operationId: UpdateNetworkVolume
      parameters:
        - name: networkVolumeId
          in: path
          description: ID of network volume that needs to be updated.
          required: true
          schema:
            type: string
      requestBody:
        description: Update a network volume.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NetworkVolumeUpdateInput'
        required: true
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkVolume'
        '400':
          description: Invalid input.
components:
  schemas:
    NetworkVolumeUpdateInput:
      type: object
      properties:
        name:
          type: string
          example: my network volume
          description: >-
            A user-defined name for the network volume. The name does not need
            to be unique.
        size:
          type: integer
          example: 50
          description: >-
            The amount of disk space, in gigabytes (GB), which will be allocated
            to the network volume after the update. Must be greater than the
            current size of the network volume.
          minimum: 0
          maximum: 4000
    NetworkVolume:
      type: object
      properties:
        dataCenterId:
          type: string
          example: EU-RO-1
          description: The Runpod data center ID where a network volume is located.
        id:
          type: string
          example: agv6w2qcg7
          description: A unique string identifying a network volume.
        name:
          type: string
          example: my network volume
          description: >-
            A user-defined name for a network volume. The name does not need to
            be unique.
        size:
          type: integer
          example: 50
          description: >-
            The amount of disk space, in gigabytes (GB), allocated to a network
            volume.
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````